package com.ruoyi.protocol.service.impl;

import com.ruoyi.board.domain.BoardInfo;
import com.ruoyi.board.domain.PresetContent;
import com.ruoyi.protocol.service.IProtocolService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ContentPublishingService {
    private static final Logger log = LoggerFactory.getLogger(ContentPublishingService.class);
    @Autowired
    List<IProtocolService> protocolServiceList;

    public void contentPublish(BoardInfo boardInfo, List<PresetContent> presetContentList) {
        IProtocolService iProtocolService = protocolServiceList.stream().filter(i -> i.protocolSupport(boardInfo.getBoardCommunicationProtocol())).findFirst().orElse(null);
        if (iProtocolService ==null) {
            log.error("协议不支持");
            return;
        }
        iProtocolService.publishInformation(boardInfo, presetContentList);
    }
}
